Bug 527494 - gtkmm.h includes non-existent headers
Summary: gtkmm.h includes non-existent headers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-gtkmm24
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Sailer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-06 15:57 UTC by David
Modified: 2009-12-28 17:55 UTC (History)
2 users (show)

Fixed In Version: 2.18.2-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-26 19:53:25 UTC
Type: ---


Attachments (Terms of Use)

Description David 2009-10-06 15:57:27 UTC
Description of problem:
I get compilation errors like this trying to cross compile:

/usr/i686-pc-mingw32/sys-root/mingw/include/giomm-2.4/giomm.h:31:34: error: giomm/desktopappinfo.h: No such file or directory
/usr/i686-pc-mingw32/sys-root/mingw/include/giomm-2.4/giomm.h:62:35: error: giomm/unixinputstream.h: No such file or directory
/usr/i686-pc-mingw32/sys-root/mingw/include/giomm-2.4/giomm.h:63:36: error: giomm/unixoutputstream.h: No such file or directory
In file included from shared/sw/autoact/src/autoact.cpp:7:
/usr/i686-pc-mingw32/sys-root/mingw/include/gtkmm-2.4/gtkmm.h:116:39: error: gtkmm/pagesetupunixdialog.h: No such file or directory
/usr/i686-pc-mingw32/sys-root/mingw/include/gtkmm-2.4/gtkmm.h:119:27: error: gtkmm/printer.h: No such file or directory
/usr/i686-pc-mingw32/sys-root/mingw/include/gtkmm-2.4/gtkmm.h:120:28: error: gtkmm/printjob.h: No such file or directory
/usr/i686-pc-mingw32/sys-root/mingw/include/gtkmm-2.4/gtkmm.h:124:35: error: gtkmm/printunixdialog.h: No such file or directory




Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Try to compile something that includes gtkmm.h
  
Actual results:
Fails with above errors.

Expected results:
Compiles

Additional info:
A one line cpp file that includes gtkmm.h is enough to reproduce this problem:

PKG_CONFIG_PATH=/usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig
/usr/bin/i686-pc-mingw32-g++ `pkg-config --cflags gtkmm-2.4` /tmp/testgtkmm.cpp

In file included from /usr/i686-pc-mingw32/sys-root/mingw/include/gtkmm-2.4/gtkmm.h:30,
                 from /tmp/testgtkmm.cpp:1:
/usr/i686-pc-mingw32/sys-root/mingw/include/giomm-2.4/giomm.h:31:34: error: giomm/desktopappinfo.h: No such file or directory
/usr/i686-pc-mingw32/sys-root/mingw/include/giomm-2.4/giomm.h:62:35: error: giomm/unixinputstream.h: No such file or directory
/usr/i686-pc-mingw32/sys-root/mingw/include/giomm-2.4/giomm.h:63:36: error: giomm/unixoutputstream.h: No such file or directory
In file included from /tmp/testgtkmm.cpp:1:
/usr/i686-pc-mingw32/sys-root/mingw/include/gtkmm-2.4/gtkmm.h:116:39: error: gtkmm/pagesetupunixdialog.h: No such file or directory
/usr/i686-pc-mingw32/sys-root/mingw/include/gtkmm-2.4/gtkmm.h:119:27: error: gtkmm/printer.h: No such file or directory
/usr/i686-pc-mingw32/sys-root/mingw/include/gtkmm-2.4/gtkmm.h:120:28: error: gtkmm/printjob.h: No such file or directory
/usr/i686-pc-mingw32/sys-root/mingw/include/gtkmm-2.4/gtkmm.h:124:35: error: gtkmm/printunixdialog.h: No such file or directory

Comment 2 Bug Zapper 2009-11-16 13:18:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 David 2009-12-08 17:18:22 UTC
Comment #1 shows that there is a fix for this.  Any idea if this will get into the fedora 12 repo any time soon?

Comment 4 Richard W.M. Jones 2009-12-09 09:52:57 UTC
David, you'll have to ask Thomas nicely to backport the fix, or
upgrade to the package from Rawhide.

Comment 5 Richard W.M. Jones 2009-12-09 09:53:16 UTC
Ah in fact Thomas has done it already!

Comment 6 Fedora Update System 2009-12-26 19:53:20 UTC
mingw32-gtkmm24-2.18.2-1.fc12, mingw32-glibmm24-2.22.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 David 2009-12-28 16:36:20 UTC
I can confirm that the original problem is fixed.

Now I'm getting a link error on my mingw gtk app:

/usr/lib/gcc/i686-pc-mingw32/4.4.1/../../../../i686-pc-mingw32/bin/ld: cannot find -lgtk-x11-2.0

Am I doing something wrong, or is there another missing file?

I tried:
yum provides "*gtk-x11*"

But I don't see a package that would provide a gtk-x11 library for mingw.

Comment 8 Thomas Sailer 2009-12-28 16:51:15 UTC
Why do you try to link gtk-x11-2.0 in the first place? Windows does not support X11, therefore there's no gtk-x11 on mingw.

Comment 9 David 2009-12-28 17:55:22 UTC
(In reply to comment #8)
> Why do you try to link gtk-x11-2.0 in the first place? Windows does not support
> X11, therefore there's no gtk-x11 on mingw.  

Excellent point.  I removed my old home grown mingw cross compiler
to replace it with the new one and forgot to change the pkg-config
path in my makefile for the "pkg-config --libs" line.  So I guess it
was picking up the native pkg-config for gtk link libraries.  Sorry
for the false alarm and thanks for fixing the header problem.


Note You need to log in before you can comment on or make changes to this bug.